package com.agentfactory.agentspeak.core.action;

import com.agentfactory.agentspeak.interpreter.Utilities;
import com.agentfactory.logic.update.interpreter.Action;
import com.agentfactory.logic.update.lang.Predicate;

public class BindToServiceAction extends Action {
	@Override
	public boolean execute(Predicate activity) {
		String id = Utilities.presenter.toString(activity.termAt(0));
		if (agent.bindToPlatformService(id)) {
			this.addBelief("boundToService(" + id + ")");
			return true;
		}
		addBelief("bindToServiceFailed(" + id + ")");
		return false;
	}

}
