/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package com.agentfactory.visualiser.core;

import com.agentfactory.platform.core.IAgent;

/**
 *
 * @author remcollier
 */
public interface IStateManager {
    public static final String NEW_SNAPSHOT                     = "new_snapshot";
    
    public void setAgent(IAgent agent);
    public String getAgentName();
    public String getAgentType();
    
    public void capture();
    public ISnapshot getCurrentSnapshot();
    
    public void first();
    public void last();
    public void prev();
    public void next();
}
